Kamailio(8)

NAME
kamailio - flexible and roboust SIP (RFC3261, RFC3263) server for Voice over IP (VoIP)

SYNOPSIS
kamailio [ -hcCrRvdDFEVT ] [ -f config-file ] [ -l address ] [ -n processes-no ] [ -N tcp processes-no ] [ -b max_rcv_buf_size ] [ -m shared_mem_size ] [ -w working-dir ] [ -W method ] [ -t chroot-dir ] [ -u uid ] [ -g gid ] [ -P pid-file ] [ -i fifo-path ] [ -x socket-path ]

DESCRIPTION
Kamailio is a SIP-based VoIP server running on most Unix-like operating systems. It supports UDP, TCP and TLS transport layers. Among its features:

*   SIP Proxy Server, SIP Registrar Server, SIP Redirect Server, SIP Location Server, SIP Application Server

*   Call Processing Language (RFC3880)

*   ENUM support

*   server side NAT traversal

*   LCR - least cost routing

*   load balancing

*   AAA with database (MySQL, Postgres, Unixodbc) or RADIUS backend

*   audio, video, instant messaging and presence

OPTIONS

-h  Displays a short usage description, including all available options.

-c  Checks the config file and displays the aliases and listen interface list.

-C  Similar to -c but in addition checks the flags of exported functions from included route blocks.

-r  Uses DNS to check if it is necessary to add a "received=" field to a via.

-R  Same as -r but uses reverse DNS.

-v  Turns on via host checking when forwarding replies.

-d  Turns on debugging, multiple -d increase the debug level.

-D  Runs kamailio in the foreground (do not fork into daemon mode).

-F  Runs kamailio in the foreground and do not create any child processes.

-E  Sends all the log messages to stderr.

-T  Disables TCP support.

-V  Displays the version number.

-f config-file
    Reads the configuration from config-file (default /etc/kamailio/kamailio.cfg ).

-l address
    Listens on the specified address/interface. Multiple -l mean listening on multiple addresses. The address format is [proto:]address[:port], where proto = udp|tcp and address = host|ip_address|interface_name. Example: -l localhost, -l udp:127.0.0.1:5080, -l eth0:5062. The default behaviour is to listen on all the ipv4 interfaces.

-n processes-no
    Specifies the number of children processes forked per interface (default 8).

-N tcp processes-no
    Specifies the number of children processes forked to handle tcp incoming connections (by default is equal to -n ).

-b max_rcv_buf_size
    Maximum receive buffer size which will not be exceeded by the auto-probing procedure even if the OS allows.

-m shared_mem_size
    Size of the shared memory which will be allocated (in Megabytes).

-w working-dir
    Specifies the working directory. In the very improbable event that kamailio will crash, the core file will be generated here.

-W method
    Specify poll method.

-t chroot-dir
    Forces kamailio to chroot after reading the config file.

-u uid
    Changes the user id under which kamailio runs.

-g gid
    Changes the group id under which kamailio runs.

-P pid-file
    Creates a file containing the pid of the main kamailio process.

-i fifo-path
    Creates a fifo, useful for monitoring kamailio status.

-x socket-path
    Creates a unix socket, useful for monitoring kamailio status ( same as -i fifo-path but using unix sockets instead).

FILES
/usr/local/sbin/kamailio
/etc/kamailio/kamailio.cfg
/usr/local/lib/kamailio/modules/*

AUTHORS
see /usr/local/share/doc/kamailio/AUTHORS

SEE ALSO
kamailio.cfg(5)

Full documentation on Kamailio is available at http://www.kamailio.org/.

Project tracker and SVN http://sourceforge.net/projects/openser/.

Mailing lists:
users@lists.kamailio.org - Kamailio user community
devel@lists.kamailio.org - Kamailio development, new features and unstable version